Bug 10188 - spoolss: architecture is undocumented
spoolss: architecture is undocumented
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: printing
4.0.6
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 07:10 UTC by Björn Jacke
Modified: 2014-04-04 18:49 UTC (History)
3 users (show)

See Also:


Attachments
"spoolss: architecture" smb.conf man page patch (1.52 KB, patch)
2013-10-14 10:04 UTC, David Disseldorp
gd: review+
ddiss: review? (mmuehlfeld)
asn: review+
Details
patch for 4.0.next, cherry-pick from master (1.89 KB, patch)
2014-03-03 13:17 UTC, David Disseldorp
asn: review+
Details
patch for 4.1.next, cherry-pick from master (1.89 KB, patch)
2014-03-03 13:17 UTC, David Disseldorp
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2013-10-09 07:10:57 UTC
from bug #10186:

>Samba reports "Windows NT x86" by default, but can be changed to report
>"Windows x64" via the (undocumented) "spoolss: architecture = <arch_string>"
>smb.conf option.

please NEVER add options without adding the man page at the same time.
Comment 1 David Disseldorp 2013-10-09 10:20:10 UTC
Proposed text:

Windows spoolss print clients only allow association of server-side drivers with printers when the driver architecture matches the advertised print server architecture. Samba's spoolss print server architecture can be changed using this parameter.

Default: spoolss: architecture = "Windows NT x86"

Example: spoolss: architecture = "Windows x64"
Comment 2 Andreas Schneider 2013-10-10 06:14:49 UTC
The text looks fine for me. Can you create a patch? ;)
Comment 3 David Disseldorp 2013-10-14 10:04:57 UTC
Created attachment 9281 [details]
"spoolss: architecture" smb.conf man page patch
Comment 4 Guenther Deschner 2013-10-14 10:35:59 UTC
Comment on attachment 9281 [details]
"spoolss: architecture" smb.conf man page patch

looks good, thanks a lot !
Comment 5 Marc Muehlfeld 2013-10-15 15:22:07 UTC
Patch works fine. Thanks.

Can you add it to the 4.1 and 4.0 tree (and 3.6 if this version already had this feature, too)?
Comment 6 Guenther Deschner 2013-10-16 13:20:27 UTC
Pushed to autobuild now. Should be in all versions where spoolss:architecture exists, yes, it's in 3.6 also.
Comment 7 David Disseldorp 2014-03-03 13:16:41 UTC
(In reply to comment #5)
> Patch works fine. Thanks.
> 
> Can you add it to the 4.1 and 4.0 tree (and 3.6 if this version already had
> this feature, too)?

Sorry for the delay, this fell off my todo list. Patches to follow...
Comment 8 David Disseldorp 2014-03-03 13:17:27 UTC
Created attachment 9743 [details]
patch for 4.0.next, cherry-pick from master
Comment 9 David Disseldorp 2014-03-03 13:17:48 UTC
Created attachment 9744 [details]
patch for 4.1.next, cherry-pick from master
Comment 10 Andreas Schneider 2014-03-03 13:19:49 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 11 Karolin Seeger 2014-03-10 15:30:25 UTC
(In reply to comment #10)
> Karolin, please add the patches to the relevant branches. Thanks!

Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 12 Karolin Seeger 2014-03-25 09:25:50 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > Karolin, please add the patches to the relevant branches. Thanks!
> 
> Pushed to autobuild-v4-1-test and autobuild-v4-0-test.

Pushed to v4-1-test.
Re-pushed to autobuild-v4-0-test.
Comment 13 Karolin Seeger 2014-04-04 18:49:19 UTC
Pushed to both branches.
Closing out bug report.

Thanks!